<id>
Show Online Status on Message Display
</id>

<version>
1.0a
</version>

<mod info>
This mod displays a little flash next to the username on the message view page if a user is currently online.

This now uses the same graphics to show online/offline status as YaMS for consistancy.

Instructions:
1. Install the mod as usual
2. If you already have YaMS installed, you can ignore the changes made to english.lng
3. Copy the .gif files to your /YaBBImages directory

Credits:
1. Originally written by cae (g-a-p@gmx.li)
2. Converted to SP1 by Ken Ault
3. Made compatible with the "online/click log update thingy" by BHRA Webmaster
</mod info>

<author>
BHRA Webmaster
</author>

<homepage>
http://www.bhra.org.uk
</homepage>

#############################################################################################################

### If you have already got YaMS installed, you can ignore this section! ###

<edit file>
english.lng
</edit file>

<search for>
	$img{'website_sm'} = qq~<font size="1" class="imgwindowbg">$txt{'515'}</font>~;
</search for>

<add after>
	$img{'mem_online'} = qq~<nobr><img src="$imagesdir/greenon.gif" alt="$txt{'686'}" border="0" align="absmiddle">~;
	$img{'mem_offline'} = qq~<nobr><img src="$imagesdir/redoff.gif" alt="$txt{'687'}" border="0" align="absmiddle">~;
</add after>

<search for>
	$img{'website_sm'} = qq~<img src="$imagesdir/www.gif" alt="$txt{'515'}" border="0">~;
</search for>

<add after>
	$img{'mem_online'} = qq~<nobr><img src="$imagesdir/greenon.gif" alt="$txt{'686'}" border="0" align="absmiddle">~;
	$img{'mem_offline'} = qq~<nobr><img src="$imagesdir/redoff.gif" alt="$txt{'687'}" border="0" align="absmiddle">~;
</add after>

#############################################################################################################

<edit file>
Sources/Display.pl
</edit file>

<search for>
			$memail = $userprofile[2];
</search for>

<add after>
			$onlinemem = $img{'mem_offline'};
			foreach $curentry (@online_log) {
				my ($tmp_name, $tmp_online, $tmp_ip, $tmp_time, $dummy ) = split( /\|/, $curentry, 5 );
				if (($time - $tmp_time) > ($OnlineLogTime * 60)) {last;}
				if($tmp_name && $tmp_online) {
					if(lc $tmp_name eq lc $musername) {$onlinemem = $img{'mem_online'}; last;}
				}
			}

</add after>

<search for>
			$usernamelink = qq~<font size="2"><b>$mname</b></font>~;
</search for>

<add after>
			$onlinemem = "";
</add after>

<search for>
            $usernamelink<br>
</search for>

<replace>
            $onlinemem $usernamelink<br>
</replace>